## ros-one-rosserial-test 0.9.2-5jammy.20251023.1102

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(rosserial_test)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rosserial_client
  rosserial_msgs
  rosserial_python
  rosserial_server
  rostest
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS
  rosserial_msgs
  std_msgs
)

if(CATKIN_ENABLE_TESTING)
  # Generate a client library for the test harnesses to use.
  add_custom_command(
    OUTPUT ${PROJECT_BINARY_DIR}/include/rosserial
    COMMAND ${CATKIN_DEVEL_PREFIX}/env.sh ${PYTHON_EXECUTABLE}
            ${PROJECT_SOURCE_DIR}/scripts/generate_client_ros_lib.py ${PROJECT_BINARY_DIR}/include
  )
  add_custom_target(${PROJECT_NAME}_rosserial_lib DEPENDS ${PROJECT_BINARY_DIR}/include/rosserial)
  add_dependencies(${PROJECT_NAME}_rosserial_lib ${catkin_EXPORTED_TARGETS})

  include_directories(
    include ${PROJECT_BINARY_DIR}/include ${catkin_INCLUDE_DIRS}
  )

  # Helper for building and linking test executables.
  function(add_${PROJECT_NAME}_executable test_source)
    set(target ${PROJECT_NAME}_${test_source})
    add_executable(${target} EXCLUDE_FROM_ALL src/${test_source})
    add_dependencies(${target} ${PROJECT_NAME}_rosserial_lib)
    target_link_libraries(${target} ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
    add_dependencies(tests ${target})
  endfunction()

  add_rosserial_test_executable(publish_subscribe)

  add_rostest(test/rosserial_server_socket.test)
  add_rostest(test/rosserial_server_serial.test)
  add_rostest(test/rosserial_python_socket.test)
  # Disabled due to reconnect logic in rosserial_python not being robust enough.
  # add_rostest(test/rosserial_python_serial.test)
endif()

=== debian/changelog ===
ros-one-rosserial-test (0.9.2-5jammy.20251023.1102) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 23 Oct 2025 11:02:58 +0000

ros-one-rosserial-test (0.9.2-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Fri, 02 Apr 2021 00:00:00 -0000

ros-one-rosserial-test (0.9.1-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 09 Sep 2020 00:00:00 -0000

ros-one-rosserial-test (0.9.0-0jammy) jammy; urgency=high

  * Fix Travis for Noetic + Python 3
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Generate the test client using PYTHON_EXECUTABLE.
  * Disable rosserial_python test.
  * Properly initialize message_info stub, drop from test.
  * Contributors: Asuki Kono, Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Tue, 25 Aug 2020 00:00:00 -0000

ros-one-rosserial-test (0.8.0-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 11 Oct 2018 00:00:00 -0000

ros-one-rosserial-test (0.7.7-0jammy) jammy; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * pyserial bug workaround to fix rosserial_test test against SerialClient.py (#313 <https://github.com/ros-drivers/rosserial/issues/313>)
  * Contributors: Bei Chen Liu, Tom O'Connell

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 29 Nov 2017 00:00:00 -0000

ros-one-rosserial-test (0.7.6-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 01 Mar 2017 00:00:00 -0000

ros-one-rosserial-test (0.7.5-0jammy) jammy; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Tue, 22 Nov 2016 00:00:00 -0000

ros-one-rosserial-test (0.7.4-0jammy) jammy; urgency=high

  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 21 Sep 2016 00:00:00 -0000

=== debian/control ===
Source: ros-one-rosserial-test
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpath.ai>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-one-catkin, ros-one-roscpp, ros-one-rosserial-client, ros-one-rosserial-msgs, ros-one-rosserial-python, ros-one-rosserial-server, ros-one-rostest, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-rosserial-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtest-dev, ros-one-roscpp, ros-one-rosserial-client, ros-one-rosserial-msgs, ros-one-rosserial-python, ros-one-rosserial-server, ros-one-rostest, ros-one-std-msgs
Description: A specialized harness which allows end-to-end integration testing of the rosserial client and server components.

## ros-one-rosserial-test 0.9.2-5jammy.20260221.2225

=== debian/changelog ===
ros-one-rosserial-test (0.9.2-5jammy.20260221.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpath.ai>  Sat, 21 Feb 2026 22:25:24 +0000

## ros-one-rosserial-test 0.9.2-5noble.20250602.0751

=== debian/changelog ===
ros-one-rosserial-test (0.9.2-5noble.20250602.0751) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpath.ai>  Mon, 02 Jun 2025 07:51:31 +0000

ros-one-rosserial-test (0.9.2-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Fri, 02 Apr 2021 00:00:00 -0000

ros-one-rosserial-test (0.9.1-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 09 Sep 2020 00:00:00 -0000

ros-one-rosserial-test (0.9.0-0noble) noble; urgency=high

  * Fix Travis for Noetic + Python 3
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Generate the test client using PYTHON_EXECUTABLE.
  * Disable rosserial_python test.
  * Properly initialize message_info stub, drop from test.
  * Contributors: Asuki Kono, Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Tue, 25 Aug 2020 00:00:00 -0000

ros-one-rosserial-test (0.8.0-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 11 Oct 2018 00:00:00 -0000

ros-one-rosserial-test (0.7.7-0noble) noble; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * pyserial bug workaround to fix rosserial_test test against SerialClient.py (#313 <https://github.com/ros-drivers/rosserial/issues/313>)
  * Contributors: Bei Chen Liu, Tom O'Connell

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 29 Nov 2017 00:00:00 -0000

ros-one-rosserial-test (0.7.6-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 01 Mar 2017 00:00:00 -0000

ros-one-rosserial-test (0.7.5-0noble) noble; urgency=high



 -- Mike Purvis <mpurvis@clearpath.ai>  Tue, 22 Nov 2016 00:00:00 -0000

ros-one-rosserial-test (0.7.4-0noble) noble; urgency=high

  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpath.ai>  Wed, 21 Sep 2016 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rosserial-test//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rosserial-test 0.9.2-5noble.20251023.1126

=== debian/changelog ===
ros-one-rosserial-test (0.9.2-5noble.20251023.1126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpath.ai>  Thu, 23 Oct 2025 11:26:55 +0000

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-rosserial-test 0.9.2-5noble.20260221.2324

=== debian/changelog ===
ros-one-rosserial-test (0.9.2-5noble.20260221.2324) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Mike Purvis <mpurvis@clearpath.ai>  Sat, 21 Feb 2026 23:24:25 +0000
